Bug 68734 - -devel headers unusable
-devel headers unusable
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-07-12 22:00 EDT by Enrico Scholz
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-12 22:08:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-07-12 22:00:37 EDT
Description of Problem:

| $ cat dt.c
| #include <rpm/rpmlib.h>
| #include <rpm/rpmts.h>

| $ gcc -I/usr/include/rpm  dt.c  
| In file included from dt.c:2:
| /usr/include/rpm/rpmts.h:9:44: rpmhash.h: No such file or directory
| /usr/include/rpm/rpmts.h:10:69: rpmal.h: No such file or directory
| In file included from dt.c:2:
| /usr/include/rpm/rpmts.h:196: parse error before "rpmps"
| /usr/include/rpm/rpmts.h:298: parse error before "rpmtsProblems"


There are two problems:
- rpmhash.h and rpmal.h are not installed by rpm-devel.
- rpmts.h (and rpmds.h also) requires a previous '#include <rpm/rpmps.h>' and 
  <rpm/rpmlib.h>. It should be usable standalone also.


Version-Release number of selected component (if applicable):

rpm-4.1-0.45
Comment 1 Jeff Johnson 2002-07-13 13:12:17 EDT
Installed rpmal.h and rpmhash.h in /usr/include/rpm
for now. I'm not very comfortable exposing either,
particularly since only a typedef is needed somewhere.

What's tricky and annoying is trying to get a clean
break between rpmdb and lib functionality, the two
are still a bit snarled.

I'll look at adding rpmps.h to rpmlib.h or rpmts.h,
but I don't believe that rpmts.h/rpmds.h are useful as
standalone includes.

For now include rpmps.h as appropriate.

Note You need to log in before you can comment on or make changes to this bug.